# frozen_string_literal: true

module Hermes
  class HousingEntityOffer
    include Mongoid::Document
    include Mongoid::Timestamps
    include Hermes::Concerns::CommonFieldsConcern

    field :is_active, type: Boolean, default: true

    common_indexes *%i[
      is_active
    ]

    belongs_to :housing_offer, :index => true, class_name: 'Hermes::HousingOffer'
    belongs_to :entity, :index => true, class_name: 'Hermes::Entity'

    default_scope { where(is_active: true) }
  end
end
